package weather

import (
	"time"
)

// Stable intermediate struct containing superset of fields
// between AWN and Wunderground style updates from Ambient devices
type WeatherUpdate struct {
	DateUTC        *time.Time
	StationType    string
	TempOutdoorF   float64
	TempIndoorF    float64
	HumidityOudoor int
	HumidityIndoor int
	WindSpeedMPH   float64
	WindGustMPH    float64
	MaxDailyGust   float64
	WindDir        int
	WindDirAvg10m  int
	UV             int
	SolarRadiation float64
	HourlyRainIn   float64
	EventRainIn    float64
	DailyRainIn    float64
	WeeklyRainIn   float64
	MonthlyRainIn  float64
	YearlyRainIn   float64
	TotalRainIn    float64
	Batteries      []BatteryStatus
	// BattOutdoorSensor int
	// BattIndoorSensor  int
	// BattRainSensor    int
	// BattCO2Sensor     int
	BaromRelativeIn float64
	BaromAbsoluteIn float64
	// These fields may be calculated
	// if not otherwise set
	DewPointF  float64
	WindChillF float64
}

type BatteryStatus struct {
	Component string
	Status    int
}
